#
# spec file for package kepas
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kepas
Version:        0.9.3
Release:        29.3
Summary:        KDE Easy Publish and Share
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://kde-apps.org/content/show.php/Kepas+-+KDE+Easy+Publish+and+Share?content=73968
Source0:        kepas-%{version}.tar.bz2
Patch1:         kepas-link-qt3support.patch
BuildRequires:  fdupes
BuildRequires:  libkde4-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{?kde4_runtime_requires}

%description
Kepas is a filetransfer Utility. Using DNSSD services it discovers
buddies in your local LAN and lets you send files and klipper entries
via plasmoid or trayicon.

%prep
%setup -q -n kepas-%{version}
%patch1

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %make_install
  %fdupes -s %{buildroot}
  %kde_post_install

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS
%{_kde4_applicationsdir}/kepas.desktop
%{_kde4_appsdir}/kepas
%{_kde4_appsdir}/plasma
%{_kde4_bindir}/kepastray
%{_kde4_iconsdir}/hicolor/*/apps/kepas.*
%{_kde4_libdir}/libkepas.so
%{_kde4_libdir}/libkpf.so
%{_kde4_modulesdir}/plasma_applet_kepas.so
%{_kde4_servicesdir}/plasma-applet-kepas.desktop

%changelog
* Tue Nov 29 2016 olaf@aepfle.de
- Expand macro kde4_runtime_requires only when its available
  to fix quilt setup
* Wed Jul 24 2013 hrvoje.senjan@gmail.com
- BuildRequire only libkde4-devel, instead of kdebase4-workspace-devel
* Sat Sep 17 2011 toddrme2178@gmail.com
- Changed summary (fix for RPMLINT warning)
- Added check for duplicate files (fix for RPMLINT warning)
- Cleaned up spec file formatting
* Thu Aug 25 2011 idonmez@novell.com
- Add kepas-link-qt3support.patch: link to Qt3Support explicitly
* Tue Dec 14 2010 wstephenson@novell.com
- clean specfile: remove commented out line
* Thu May 14 2009 dmueller@suse.de
- add missing runtime requires
* Sat Jan 24 2009 tpatzig@suse.de
- version 0.9.3
- send KNote via kepas
- kepas provides dbus methods to SendFile, SendKlipper, SendKNote
* Sat Jan 17 2009 tpatzig@suse.de
- version 0.9.2
- removed deprecated cmake PLASMA variables
* Wed Sep  3 2008 tpatzig@suse.de
- version 0.9.1
- new translations in desktop file
* Tue Aug 26 2008 tpatzig@suse.de
- removed extra lib package
- added desktop file and icons
* Mon Jul 28 2008 tpatzig@suse.de
- fixed build failures in the plasmoid, caused due Plasma api changes
* Thu Apr 10 2008 tpatzig@suse.de
- fixed crash on plasma startup (bnc#372669)
  service publishing needs to be done asyncronously
* Sat Apr  5 2008 stbinner@suse.de
- don't build rpms for i386 but i586
* Thu Mar 13 2008 tpatzig@suse.de
- added missing COPYING file (bnc#369216)
* Fri Feb  1 2008 tpatzig@suse.de
- update to Version 0.9
  * sendFile to Jabber Accounts
  * full KPF functionality
  * available published folder shown on buddy discovery
  * Config is saved
  * several bugfixes
* Mon Jan 14 2008 tpatzig@suse.de
- initial build of kepas
